\begin{dedication}
This thesis is dedicated to\\
my mum, Ms. \textit{Li-Ming Yeung}, who is a great mother \\
and \\
Mr. \textit{Kirby Kwok-Ping Ching}, who is my greatest teacher. \\
\\
\\
\\
僅把此碩士論文獻給 \\
我的母親, 楊莉明, 她是一位偉大的母親; \\
我的恩師, 程國平, 他是我生命中最重要的良師。 \\ 
\end{dedication}
